import FWCore.ParameterSet.Config as cms

l1GetDigi = cms.EDAnalyzer("HLTGetDigi",
    EEdigiCollection = cms.InputTag("ecalDigis","eeDigis"),
    getGctEt = cms.untracked.bool(False),
    HBHEdigiCollection = cms.InputTag("hcalDigis"),
    GctIsoEmCollection = cms.InputTag("gctDigis","isoEm"),
    ESdigiCollection = cms.InputTag("ecalPreshowerDigis"),
    GctEtHadCollection = cms.InputTag("gctDigis"),
    getGtReadoutRecord = cms.untracked.bool(False),
    CSCStripdigiCollection = cms.InputTag("muonCSCDigis","MuonCSCStripDigi"),
    GmtCands = cms.InputTag("gmtDigis"),
    getGtEvmRR = cms.untracked.bool(False),
    getGctEm = cms.untracked.bool(False),
    GctEtTotalCollection = cms.InputTag("gctDigis"),
    SiStripdigiCollection = cms.InputTag("siStripDigis"),
    GctJetCounts = cms.InputTag("gctDigis"),
    getPixels = cms.untracked.bool(False),
    DTdigiCollection = cms.InputTag("muonDTDigis"),
    getGctJet = cms.untracked.bool(False),
    getHcal = cms.untracked.bool(False),
    getGctJetCounts = cms.untracked.bool(False),
    GctTauJetCollection = cms.InputTag("gctDigis","tauJets"),
    L1CaloRegionCollection = cms.InputTag("rctDigis"),
    GtObjectMapRecord = cms.InputTag("gtDigis"),
    GmtReadoutCollection = cms.InputTag("gmtDigis"),
    getL1Calo = cms.untracked.bool(False),
    getStrips = cms.untracked.bool(False),
    getDT = cms.untracked.bool(False),
    HOdigiCollection = cms.InputTag("hcalDigis"),
    RPCdigiCollection = cms.InputTag("muonRPCDigis"),
    getGtObjectMap = cms.untracked.bool(False),
    getGmtCands = cms.untracked.bool(False),
    getRPC = cms.untracked.bool(False),
    CSCWiredigiCollection = cms.InputTag("muonCSCDigis","MuonCSCWireDigi"),
    GctForJetCollection = cms.InputTag("gctDigis","tauJets"),
    HFdigiCollection = cms.InputTag("hcalDigis"),
    SiPixeldigiCollection = cms.InputTag("siPixelDigis"),
    GctNonIsoEmCollection = cms.InputTag("gctDigis","nonIsoEm"),
    GtEvmReadoutRecord = cms.InputTag("gtDigis"),
    L1CaloEmCollection = cms.InputTag("rctDigis"),
    # Define which digis we want to "get"
    getEcal = cms.untracked.bool(False),
    GctCenJetCollection = cms.InputTag("gctDigis","cenJets"),
    getGmtReadout = cms.untracked.bool(False),
    GtReadoutRecord = cms.InputTag("gtDigis"),
    GctEtMissCollection = cms.InputTag("gctDigis"),
    getEcalES = cms.untracked.bool(False),
    EBdigiCollection = cms.InputTag("ecalDigis","ebDigis"),
    getCSC = cms.untracked.bool(False)
)


